Subject: [quicwg/base-drafts] Immediate retransmission upon loss detection (#3335)

From: Jana Iyengar <[email-masked]>
Date: Mon, 13 Jan 2020 13:06:53 -0800

TCP recommends that a sender retransmit a packet immediately upon detecting the first loss in a recovery window (see Section 3.2, second para, of RFC 5681; Section 5 of RFC 6675 seems to follow the same idea). QUIC should at least allow the same. Not doing this can delay loss recovery by 0.5 RTT, which is not great.

This replaces #2604; this is a more correct description of the problem, which is a design issue.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/3335